<?php  
error_reporting(E_ERROR | E_PARSE);
	include"aut_verifica.inc.php";
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
	
	$conf_sistema=mysql_query("select * from   tabla_conf_sistema ",$link);
	$ver_conf_sistema=mysql_fetch_array($conf_sistema);
	
	$control_menu=$_GET['control_menu'];
	$menu=$_GET['condicion'];
	$codigo=$_SESSION['usuario_id'];
	$usuarios_conectados=mysql_query("select * from  tabla_usuarios where id='".$codigo."'",$link);
	$ver_usuarios=mysql_fetch_array($usuarios_conectados);
	$token=MD5($codigo);
	$online=$ver_usuarios['online'];
	$cod_vendedor_online=$ver_usuarios['online'];
	$nivel_acceso=$ver_usuarios['nivel_acceso'];
	$fecha_ingreso=date('d/m/y - h:i:s A');
	$token_dos=MD5(date('d/m/y-h:i:sA').$codigo);
	$fecha_actual=date('d/m/y');
	$fecha_actualxls=date('Y-m-d');
	 $dia=date('d');
	 $mes=date('m');
	 $ano=date('Y');
	 $semana=date('W');
		if($online=='0'){
			mysql_query("update tabla_usuarios set fecha_ingreso='".$fecha_ingreso."',fecha_cierre='',online='1' where id='".$codigo."' ",$link);
		}
		
// CONFIGURACION DE LA EMPRESA
	$moneda=$ver_conf_sistema['moneda']; 
	$dias_semana_fact=$ver_conf_sistema['dias_semana_fact']; 
	$dias_max_credito=$ver_conf_sistema['dias_max_credito']; 
	$monto_decimal=$ver_conf_sistema['monto_decimal']; 
	$nombre_carpeta_sistema=$ver_conf_sistema['directorio']; 
	$url_global=str_replace($nombre_carpeta_sistema,"", $_SERVER['REQUEST_URI']);
	$rif=$ver_conf_sistema['rif']; 
	$title_sistema=$ver_conf_sistema['nombre_sistema']; 
	$title_empresa=$ver_conf_sistema['empresa']; 
	$localidad_empresa='1';

// LIMPIAR url
			$metodo_url=$url_global;
			if($_GET['proceso']=='1NS3RT'){
				$proceso='&proceso=1NS3RT';
				$url_global = str_replace("$proceso", "", $metodo_url);	
			}		
			if($_GET['proceso']=='D3L3T3'){
				$token=$_GET['token'];
				$proceso='&proceso=D3L3T3&token='.$token;
				$url_global = str_replace("$proceso", "", $metodo_url);	
			}	
			if($_GET['proceso']=='C0N5ULT4R'){
				$token=$_GET['token'];
				$proceso='&proceso=C0N5ULT4R&token='.$token;
				$url_global = str_replace("$proceso", "", $metodo_url);	
			}	
			if($_GET['proceso']=='3DIT4R'){
				$token=$_GET['token'];
				$proceso='&proceso=3DIT4R&token='.$token;
				$url_global = str_replace("$proceso", "", $metodo_url);	
			}
// CABECERAS CENTRALES 

	$cpanel_cabeza=mysql_query("select * from tabla_menu where eliminar=0 and abreviacion='$control_menu'",$link);
	$ver_cpanel_cabeza=mysql_fetch_array($cpanel_cabeza);
	$control_id_menu=$ver_cpanel_cabeza['id'];
	$cpanel_sub_menu=mysql_query("select * from  tabla_menu_sub where eliminar=0 and abreviacion='$menu' and cod_menu='$control_id_menu'",$link);
	$ver_cpanel_sub_menu=mysql_fetch_array($cpanel_sub_menu);
	$tabla_control=$ver_cpanel_sub_menu['nombre_tabla_sql'];
	$tabla_control_id=$ver_cpanel_sub_menu['id'];
	
?>
<!DOCTYPE html>
<html lang="es">
 <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
        <meta name="description" content="POS,sistema integral administrativo">
        <meta name="author" content="Carlos Lopez">
        <title><?php echo $title_sistema; ?> | <?php echo $title_empresa; ?></title>
        <link href="css/style.default.css" rel="stylesheet">
        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
        <script src="js/html5shiv.js"></script>
        <script src="js/respond.min.js"></script>
        <![endif]-->
		<script>
			window.addEventListener('keydown', function (e) {
				var code = e.which || e.keyCode;
				if (code == 116) e.preventDefault();
				else return true;
				// 
			});
		</script>

    </head>
    <body>
        <header>
            <div class="headerwrapper">
                <div class="header-left">
                    <center><img src='images/Saint-blanco.png'></center>
                    <div class="pull-right">
                        <a href="cpanel.php?" class="menu-collapse">
                            <i class="fa fa-bars"></i>
                        </a>
                    </div>
                </div><!-- header-left -->
                <div class="header-right">
                    <div class="pull-right">
						<div class="btn-group btn-group-option">
                            <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
                              <i class="fa fa-caret-down"></i>
                            </button>
                            <ul class="dropdown-menu pull-right" role="menu">
                             <!-- <li><a href="perfil.php"><i class="glyphicon glyphicon-user"></i>Mi perfil</a></li>-->
                              <!--<li><a href="#"><i class="glyphicon glyphicon-cog"></i> Configuracion</a></li>-->
                              <li class="divider"></li>
                              <li><a href="aut_logout.php?token=<?php echo $token; ?>&control=<?php echo $codigo; ?> "><i class="glyphicon glyphicon-log-out"></i>Salir</a></li>
                            </ul>
                        </div><!-- btn-group -->
                    </div><!-- pull-right -->
                </div><!-- header-right -->
            </div><!-- headerwrapper -->
        </header>
        <section>
            <div class="mainwrapper">
                <div class="leftpanel">
                    <div class="media profile-left">
                        <a class="pull-left profile-thumb" href="#">
						<?php if($ver_usuarios['foto']==''){  ?>
                            <img class="img-circle" src="images/photos/perfil.jpg" alt="">
						<?php } else { ?>
                            <img class="img-circle" src="<?php echo $ver_usuarios['foto']; ?>" alt="<?php echo $ver_usuarios['descripcion']; ?>">
						<?php } ?>
                        </a>
                        <div class="media-body">
                            <h4 class="media-heading"><?php echo $ver_usuarios['descripcion']; ?></h4>
                            <small class="text-muted">
								<?php if($ver_usuarios['privilegios']=='1'){ echo 'Administrador';} ?>
								<?php if($ver_usuarios['privilegios']=='2'){ echo 'Gerente';} ?>
								<?php if($ver_usuarios['privilegios']=='3'){ echo 'Cajero';} ?>
							</small>
                        </div>
                    </div><!-- media -->
                    <h5 class="leftpanel-title">Fecha:  <?php echo date('d/m/y - h:i:s A'); ?></h5>
                    <?php include'menu_izquierdo.php'; ?>
                </div><!-- leftpanel -->
                <div class="mainpanel">
                    <div class="pageheader">
                        <div class="media">
								<div class="pageicon pull-left">
									<i class="fa <?php echo $ver_cpanel_cabeza['figura']; ?>"></i>
								</div>
                            <div class="media-body">
                                <ul class="breadcrumb">
                                    <li><a href="#"><i class="glyphicon glyphicon-cog"></i></a></li>
                                    <li><?php echo $ver_cpanel_cabeza['nombre_menu']; ?></li>
                                </ul>
                                <h4><?php echo $ver_cpanel_sub_menu['nombre_menu']; ?> | 
									<?php if($ver_usuarios['privilegios']=='1'){ echo 'Administrador';} ?>
									<?php if($ver_usuarios['privilegios']=='2'){ echo 'Gerente';} ?>
									<?php if($ver_usuarios['privilegios']=='3'){ echo 'Cajero';} ?>
									<?php if($ver_usuarios['privilegios']=='4'){ echo 'Vendedor';} ?>
								</h4>
                            </div>
                        </div>
                    </div>
<!-- pageheader -->
         <?php           
			$archivo_menu=mysql_query("select * from   tabla_menu_sub where  eliminar=0 and abreviacion='$menu'",$link);
			while($ver_archivo_menu=mysql_fetch_array($archivo_menu)){		
			$abreviacion=$ver_archivo_menu['abreviacion'];
			$url_menu=$ver_archivo_menu['url'];			
				switch ($abreviacion) {			
					case ($abreviacion):
						include "$url_menu";
					break;		
				}
			}  
			switch ($control_menu) {
					case '':
						include"pagina_principal.php";
					break;	
					case 'inicio':
						include"pagina_principal.php";
					break;	
			}
		?>   
		</div><!-- mainpanel -->
       </div><!-- mainwrapper -->
        </section>
        <script src="js/jquery-1.11.1.min.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="js/custom.js"></script>
	</body>
</html>